org.eclipse.rdf4j.federated.evaluation

## Class TripleSourceBase.ResultHolder<T>

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.TripleSourceBase.ResultHolder<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    java.util.function.Supplier<CloseableIteration<T,QueryEvaluationException>>
  Enclosing class:
    TripleSourceBase

      protected static class TripleSourceBase.ResultHolder<T>
      extends Object
      implements java.util.function.Supplier<CloseableIteration<T,QueryEvaluationException>>

  Holder for a result iteration to be used with `TripleSourceBase.withConnection(ConnectionOperation)`. Note that the result holder should also be set with temporary results to properly allow error handling.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CloseableIteration<T,QueryEvaluationException>` | `result`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResultHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseableIteration<T,QueryEvaluationException>` | `get()`
    `void` | `set(CloseableIteration<T,QueryEvaluationException> result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          protected CloseableIteration<T,QueryEvaluationException> result

  - ### Constructor Detail

    - #### ResultHolder

          protected ResultHolder()

  - ### Method Detail

    - #### set

          public void set(CloseableIteration<T,QueryEvaluationException> result)

    - #### get

          public CloseableIteration<T,QueryEvaluationException> get()

      Specified by:
        `get` in interface `java.util.function.Supplier<CloseableIteration<T,QueryEvaluationException>>`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.